Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal Class Reference

Linked index-value pairs. More...

`#include <element.hh>`

## Public Member Functions

void | mark (void)
bool | marked (void) const
| Return whether this pair is marked for removal.

## Public Attributes

Idx | idx_next
| The position of the next pair in index order.
Idx | val_next
| The position of the next pair in value order.
Idx | idx
| The index.
Val | val
| The value Mark that this pair should be removed.

## Detailed Description

template<class V0, class V1, class Idx, class Val>
class Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal

Linked index-value pairs.

Data structure linking pairs of index and value (index,value) where pairs are linked in order of both index and value (to allow for easy removal while keeping both index and value sorted).

Definition at line 67 of file element.hh.

## Member Function Documentation

## mark()

template<class V0, class V1, class Idx, class Val>

void Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal::mark | ( | void |  | ) |

inline

Definition at line 40 of file int.hpp.

## marked()

template<class V0, class V1, class Idx, class Val>

bool Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal::marked | ( | void |  | ) | const

inline

Return whether this pair is marked for removal.

Definition at line 45 of file int.hpp.

## Member Data Documentation

## idx_next

template<class V0, class V1, class Idx, class Val>

Idx Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal::idx_next

The position of the next pair in index order.

Definition at line 69 of file element.hh.

## val_next

template<class V0, class V1, class Idx, class Val>

Idx Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal::val_next

The position of the next pair in value order.

Definition at line 70 of file element.hh.

## idx

template<class V0, class V1, class Idx, class Val>

Idx Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal::idx

The index.

Definition at line 71 of file element.hh.

## val

template<class V0, class V1, class Idx, class Val>

Val Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal::val

The value Mark that this pair should be removed.

Definition at line 72 of file element.hh.

The documentation for this class was generated from the following files:

- gecode/int/element.hh
- gecode/int/element/int.hpp